using System;
using NinjaTrader.Cbi;

internal sealed class Delegate351 : MulticastDelegate
{
	public extern MasterInstrument Invoke(string string_0, InstrumentType instrumentType_0, bool bool_0);

	public static MasterInstrument smethod_0(string string_0, InstrumentType instrumentType_0, bool bool_0, Delegate351 delegate351_1)
	{
		return delegate351_1(string_0, instrumentType_0, bool_0);
	}

	public extern Delegate351(object object_0, IntPtr intptr_0);

	static Delegate351()
	{
		Class10.smethod_13(typeof(Delegate351).TypeHandle);
	}

	internal static Delegate351 delegate351_0;
}
